## NAME

db.describe - Describes a table in detail.

## KEYWORDS

database, attribute table

## SYNOPSIS

db.describe
db.describe help
db.describe [-ct] table=name [driver=name] [database=name] [--verbose] [--quiet]

### Flags:

-c
  Print column names only instead of full column descriptions
-t
  Print table structure
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

table=name
  Table name
driver=name
  Driver name
  Options: dbf,odbc,ogr,pg,sqlite
  Default: dbf
database=name
  Database name
  Default: $GISDBASE/$LOCATION_NAME/$MAPSET/dbf/

## DESCRIPTION

db.describe displays table information. If parameter -c is used only column names instead of full column descriptions is given.

## NOTE

If parameters for database connection are already set with db.connect, they are taken as default values and do not need to be spcified each time.

## EXAMPLE

    db.describe -c table=roads database='$GISDBASE/$LOCATION_NAME/PERMANENT/dbf/' \
                driver=dbf
    ncols:2
    Column 1:cat:INTEGER:11
    Column 2:label:CHARACTER:43

    db.describe table=roads database='$GISDBASE/$LOCATION_NAME/PERMANENT/dbf/' \
                driver=dbf
    table:roads
    description:
    insert:yes
    delete:yes
    ncols:2

    column:cat
    description:
    type:INTEGER
    len:11
    scale:0
    precision:10
    default:
    nullok:yes
    select:yes
    update:yes
    [...]

## SEE ALSO

db.columns, db.droptable, db.execute, db.login, db.tables, GRASS SQL interface

## AUTHOR

Radim Blazek, ITC-Irst, Trento, Italy

Last changed: $Date: 2011-11-08 10:42:51 +0100 (út, 08 XI 2011) $

Main index - database index - Full index

© 2003-2014 GRASS Development Team